eclipse-equinox-osgi-4.11-2.mga8.x86_64.rpm


Advertisement

Description

eclipse-equinox-osgi - Eclipse OSGi - Equinox

Property Value
Distribution Mageia Cauldron
Repository Mageia Core x86_64
Package filename eclipse-equinox-osgi-4.11-2.mga8.x86_64.rpm
Package name eclipse-equinox-osgi
Package version 4.11
Package release 2.mga8
Package architecture x86_64
Package type rpm
Category Development/Java
Homepage http://www.eclipse.org/
License EPL-2.0
Maintainer -
Download size 1.57 MB
Installed size 3.44 MB
Eclipse OSGi - Equinox

Alternatives

Package Version Architecture Repository
eclipse-equinox-osgi - - -

Requires

Name Value
java-headless -
java-headless >= 1:1.8.0
javapackages-filesystem -
javapackages-tools -

Provides

Name Value
eclipse-equinox-osgi == 1:4.11-2.mga8
eclipse-equinox-osgi(x86-64) == 1:4.11-2.mga8
mvn(org.eclipse.osgi:org.eclipse.osgi) == 3.13.300.v20190718.1529
mvn(org.eclipse.osgi:org.eclipse.osgi.compatibility.state) == 1.1.400.v20190718.1529
mvn(org.eclipse.osgi:org.eclipse.osgi.services) == 3.8.0.v20190718.1529
mvn(org.eclipse.osgi:org.eclipse.osgi.util) == 3.5.200.v20190718.1529
mvn(org.eclipse.osgi:osgi) == 3.13.300.v20190718.1529
mvn(org.eclipse.osgi:osgi.compatibility.state) == 1.1.400.v20190718.1529
mvn(org.eclipse.osgi:osgi.services) == 3.8.0.v20190718.1529
mvn(org.eclipse.osgi:osgi.util) == 3.5.200.v20190718.1529
mvn(org.eclipse.tycho:org.eclipse.osgi) == 3.13.300.v20190718.1529
mvn(org.eclipse.tycho:org.eclipse.osgi.compatibility.state) == 1.1.400.v20190718.1529
mvn(org.eclipse.tycho:org.eclipse.osgi.services) == 3.8.0.v20190718.1529
mvn(org.eclipse.tycho:org.eclipse.osgi.util) == 3.5.200.v20190718.1529
mvn(org.eclipse:osgi) == 3.13.300.v20190718.1529
osgi(org.eclipse.osgi) == 3.13.300
osgi(org.eclipse.osgi.compatibility.state) == 1.1.400
osgi(org.eclipse.osgi.services) == 3.8.0
osgi(org.eclipse.osgi.util) == 3.5.200
osgi(system.bundle) == 1:4.11

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package eclipse-equinox-osgi-4.11-2.mga8.x86_64.rpm
Source Package eclipse-4.11-2.mga8.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install eclipse-equinox-osgi rpm package:
    # urpmi eclipse-equinox-osgi

Files

Path
/usr/lib/eclipse/plugins/org.eclipse.osgi.compatibility.state_1.1.400.v20190718-1529.jar
/usr/lib/eclipse/plugins/org.eclipse.osgi.services_3.8.0.v20190718-1529.jar
/usr/lib/eclipse/plugins/org.eclipse.osgi.util_3.5.200.v20190718-1529.jar
/usr/lib/eclipse/plugins/org.eclipse.osgi_3.13.300.v20190718-1529.jar
/usr/share/java/eclipse/osgi.compatibility.state.jar
/usr/share/java/eclipse/osgi.jar
/usr/share/java/eclipse/osgi.services.jar
/usr/share/java/eclipse/osgi.util.jar
/usr/share/maven-metadata/eclipse-equinox-osgi.xml

Changelog

2019-07-19 - daviddavid <daviddavid> 1:4.11-2.mga8
+ Revision: 1422749
- Non-boostrap build
- Pre-strip debuginfo from the launcher binary to avoid conflicts with other RCP
applications, which will use identical launcher binaries
2019-07-19 - daviddavid <daviddavid> 1:4.11-1.mga8
+ Revision: 1422653
- Update to 2019-03 release
- Drop support for 32-bit architectures
2019-01-08 - daviddavid <daviddavid> 1:4.10.0-4.mga7
+ Revision: 1352016
- rebuild against current java stack
2018-12-25 - pterjan <pterjan> 1:4.10.0-3.mga7
+ Revision: 1344875
- Do not BuildRequire a package which doesn't exist
2018-12-23 - daviddavid <daviddavid> 1:4.10.0-2.mga7
+ Revision: 1344633
- non-bootstrap build
2018-12-14 - neoclust <neoclust> 1:4.10.0-1.mga7
+ Revision: 1341174
- New version 4.10.0
+ wally <wally>
- disable bootstrap build on aarch64
2018-09-17 - wally <wally> 1:4.6.3-9.mga7
+ Revision: 1259404
- enable bootstrap build for arm and aarch64
- enable org.eclipse.equinox.console again (with an untested patch)
2018-09-13 - wally <wally> 1:4.6.3-8.mga7
+ Revision: 1258921
- disable org.eclipse.equinox.console bundle for now
- fix build with new felix (modify Source1)
2018-08-15 - wally <wally> 1:4.6.3-7.mga7
+ Revision: 1251799
- backport upstream patches to fix build with lucene 6

See Also

Package Description
eclipse-gef-3.11.0-4.mga8.noarch.rpm Graphical Editing Framework (GEF) Eclipse plug-in
eclipse-gef-sdk-3.11.0-4.mga8.noarch.rpm Eclipse GEF SDK
eclipse-gef-tests-3.11.0-4.mga8.noarch.rpm Eclipse GEF Tests
eclipse-jdt-4.11-2.mga8.noarch.rpm Eclipse Java Development Tools
eclipse-jgit-5.3.0-2.mga8.noarch.rpm Eclipse JGit
eclipse-launchbar-2.2.3-1.mga8.noarch.rpm Eclipse Launchbar plug-in
eclipse-license1-1.0.1-2.mga8.noarch.rpm Shared EPL v1.0 license feature for Eclipse
eclipse-license2-2.0.1-2.mga8.noarch.rpm Shared EPL v2.0 license feature for Eclipse
eclipse-linuxtools-7.2.0-1.mga8.noarch.rpm Linux specific Eclipse plugins
eclipse-linuxtools-changelog-7.2.0-1.mga8.noarch.rpm Eclipse ChangeLog plug-in
eclipse-linuxtools-docker-7.2.0-1.mga8.noarch.rpm Docker Tooling
eclipse-linuxtools-gcov-7.2.0-1.mga8.noarch.rpm GCov Integration
eclipse-linuxtools-gprof-7.2.0-1.mga8.noarch.rpm GProf Integration
eclipse-linuxtools-javadocs-7.2.0-1.mga8.noarch.rpm Javadocs documentation plugin for Eclipse
eclipse-linuxtools-libhover-7.2.0-1.mga8.noarch.rpm Libhover documentation plugin for Eclipse
Advertisement
Advertisement